package hsmw.jotto5.beleg.views;

import java.io.IOException;
import java.io.OutputStream;
import com.sun.net.httpserver.*;

/**
 * Fängt alle Anfragen an "/" und unbekannte URLs ab.
 *
 * Ist die View die aufgerufen wird wenn die Basis-Domain der Anwendung 
 * aufgerufen wird. Aufgrund des eigenartigen Routings des HttpServers
 * übernimmt diese Klasse auch ein Paar sonstige Routing-Aufgaben, wie das
 * Anzeigen der 404-Seite bei nicht existierendem Endpunkt.
 */
public class RootView implements HttpHandler {

	public void handle(HttpExchange t) throws IOException {
		// wir leiten an /main weiter, dort passiert dann die restliche Magie
		t.getResponseHeaders().add("Location", "/main");
		t.sendResponseHeaders(308, 0); // 308 => "Permanent Redirect"
		t.getResponseBody().close();
	}

}
